<div class="settings-space">
  <block-ui message="Loading...">
  </block-ui>
  <app-alert [message]="message" [type]="type" id="alert"> </app-alert>

  <div *ngIf="!isError">
    <div *ngIf="isRoot" class="">
      <div class="row">
        <div class="col-xl-12">
          <h3 class="mb-3 mt-3 bold" id="heading">Settings</h3>
        </div>
        <div class="col-xl-4 col-lg-6 mb-3" *ngFor="let menu of menus">
          <div class="p-3 grey-rounded-border" *appAccess="menu.moduleName;lookFor: ['C', 'V', 'E', 'D']">
            <h5 class="bold">
              {{ menu.name }}
            </h5>

            <ul class="list-unstyled">
              <ng-container *ngFor="let c of menu.child">
                <li *appAccess="c.moduleName;lookFor: ['C', 'V', 'E', 'D']" class="pt-1 pb-1">
                  <a [routerLink]="c.link">
                    {{ c.name }}
                  </a>
                </li>
              </ng-container>
            </ul>
            <!-- <mat-divider></mat-divider>
            <div class="mt-3 mb-1">
                <a href="#" class="bold">View all options</a>
            </div> -->
          </div>
        </div>
      </div>
    </div>
    <router-outlet *ngIf="!isRoot"></router-outlet>
  </div>
</div>
